<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>My Project: Dataflow::BaseInput Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceDataflow.html">Dataflow</a></li><li class="navelem"><a class="el" href="classDataflow_1_1BaseInput.html">BaseInput</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Dataflow::BaseInput Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Defines a basic input port.  
 <a href="classDataflow_1_1BaseInput.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="BaseInput_8h_source.html">BaseInput.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Dataflow::BaseInput:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classDataflow_1_1BaseInput.png" usemap="#Dataflow::BaseInput_map" alt=""/>
  <map id="Dataflow::BaseInput_map" name="Dataflow::BaseInput_map">
<area href="classDataflow_1_1Input.html" title="Defines an input port with a signal type." alt="Dataflow::Input&lt; T &gt;" shape="rect" coords="0,56,125,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6b4117828d89e64e7686b3d30d9cd8a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b4117828d89e64e7686b3d30d9cd8a9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#a6b4117828d89e64e7686b3d30d9cd8a9">BaseInput</a> ()</td></tr>
<tr class="memdesc:a6b4117828d89e64e7686b3d30d9cd8a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br/></td></tr>
<tr class="memitem:a337c47fb8435155610b9d5e9e05c0ba9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a337c47fb8435155610b9d5e9e05c0ba9"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#a337c47fb8435155610b9d5e9e05c0ba9">~BaseInput</a> ()</td></tr>
<tr class="memdesc:a337c47fb8435155610b9d5e9e05c0ba9"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDataflow_1_1BaseInput.html" title="Defines a basic input port.">BaseInput</a> is a polymorphic class. <br/></td></tr>
<tr class="memitem:a124afb834f3728a9aa954690d0ee83a3"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#a124afb834f3728a9aa954690d0ee83a3">check</a> (const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a> *signal) const =0</td></tr>
<tr class="memitem:ada6c28202cc05198b6b0dff2b5012127"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#ada6c28202cc05198b6b0dff2b5012127">bind</a> (const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a> *signal)</td></tr>
<tr class="memdesc:ada6c28202cc05198b6b0dff2b5012127"><td class="mdescLeft">&#160;</td><td class="mdescRight">Binds the internal value to a signal.  <a href="#ada6c28202cc05198b6b0dff2b5012127"></a><br/></td></tr>
<tr class="memitem:a01cd976a1b6e87d700fa1f644625b8b6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#a01cd976a1b6e87d700fa1f644625b8b6">value</a> () const </td></tr>
<tr class="memdesc:a01cd976a1b6e87d700fa1f644625b8b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of the input.  <a href="#a01cd976a1b6e87d700fa1f644625b8b6"></a><br/></td></tr>
<tr class="memitem:a1fe4860902069bc168f93ae269b49b03"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:a1fe4860902069bc168f93ae269b49b03"><td class="memTemplItemLeft" align="right" valign="top">const U *&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classDataflow_1_1BaseInput.html#a1fe4860902069bc168f93ae269b49b03">value</a> () const </td></tr>
<tr class="memdesc:a1fe4860902069bc168f93ae269b49b03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of the input dynamic casted to U.  <a href="#a1fe4860902069bc168f93ae269b49b03"></a><br/></td></tr>
<tr class="memitem:a58d4f921bde6e76413f21dc011f2beab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58d4f921bde6e76413f21dc011f2beab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>connect</b> (<a class="el" href="classDataflow_1_1BaseOutput.html">BaseOutput</a> *output)</td></tr>
<tr class="memitem:a2b17b15ef12084a10eb24b99be2169ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b17b15ef12084a10eb24b99be2169ad"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disconnect</b> ()</td></tr>
</table>
<a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines a basic input port. </p>
</div><h2>Member Function Documentation</h2>
<a class="anchor" id="ada6c28202cc05198b6b0dff2b5012127"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Dataflow::BaseInput::bind </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a> *&#160;</td>
          <td class="paramname"><em>signal</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Binds the internal value to a signal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">signal</td><td>The signal to bind to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a124afb834f3728a9aa954690d0ee83a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Dataflow::BaseInput::check </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a> *&#160;</td>
          <td class="paramname"><em>signal</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">signal</td><td>The signal to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if signal can be dynamic cast to the input type. </dd></dl>

<p>Implemented in <a class="el" href="classDataflow_1_1Input.html#ab9b591d9436b0c2547fff626baa697b3">Dataflow::Input&lt; T &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a01cd976a1b6e87d700fa1f644625b8b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classDataflow_1_1BaseSignal.html">BaseSignal</a>* Dataflow::BaseInput::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the value of the input. </p>
<dl class="section return"><dt>Returns</dt><dd>The value of the input. </dd></dl>

</div>
</div>
<a class="anchor" id="a1fe4860902069bc168f93ae269b49b03"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const U* Dataflow::BaseInput::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the value of the input dynamic casted to U. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>The class to cast to. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the input dynamic casted to U. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/admin/Documents/simulink/include/Dataflow/<a class="el" href="BaseInput_8h_source.html">BaseInput.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Dec 12 2015 10:00:14 for My Project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
